/** @file MOMMessageEvent.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMMessageEvent.h"

namespace WebCore {

MOMMessageEvent::MOMMessageEvent(const mom_event_params* params, ScriptExecutionContext* context)
    : MOMEvent(AtomicString("MOM_Message"), params)
{
    ASSERT(params->arg_count == mom_event_MESSAGE_COUNT);
    m_object = params->object ? MOMStringCollection::create(static_cast<mom_urilist>(params->object)) : nullptr;
}

MOMMessageEvent::MOMMessageEvent()
    : MOMEvent(AtomicString("MOM_Message"))
{
}

} // namespace WebCore

#endif // ENABLE(RMAI)
